GET
/api/locations/countries/{country}/citiesList cities by country
Lists English city names for a specified country. Use the country's two-letter ISO 3166-1 alpha-2 code to retrieve city names and their GeoNames record identifiers.
countryobjectrequired
The country's two-letter ISO 3166-1 alpha-2 code.
200Returns city geographical information with each city's English name and GeoNames record identifier.
city_namestringrequired
Commonly used English name of the city
geoname_idintegerrequired
Integer ID of the record in GeoNames database
400Returned when the request is invalid.
401Returned when the request does not include valid authentication.
403Returned when the authenticated user is not permitted to access city data.
500Returned when an internal server error occurs.
Error handling
A 400 is returned when the request is invalid. A 401 is returned when the request does not include valid authentication, a 403 when the authenticated user is not permitted to access the data, and a 500 when an internal server error occurs. country must identify a country using its two-letter ISO 3166-1 alpha-2 code.